"use strict";
const common_vendor = require("../../common/vendor.js");
const sheep_index = require("../../sheep/index.js");
require("../../sheep/api/index.js");
require("../../sheep/api/distri/score.js");
require("../../sheep/request/index.js");
require("../../sheep/config/index.js");
require("../../sheep/store/index.js");
require("../../sheep/store/app.js");
require("../../sheep/api/promotion/diy.js");
require("../../sheep/platform/index.js");
require("../../sheep/platform/provider/wechat/index.js");
require("../../sheep/platform/provider/wechat/miniProgram.js");
require("../../sheep/api/member/auth.js");
require("../../sheep/api/member/social.js");
require("../../sheep/api/member/user.js");
require("../../sheep/platform/provider/apple/index.js");
require("../../sheep/platform/share.js");
require("../../sheep/router/index.js");
require("../../sheep/hooks/useModal.js");
require("../../sheep/helper/index.js");
require("../../sheep/helper/test.js");
require("../../sheep/helper/digit.js");
require("../../sheep/api/member/signin.js");
require("../../sheep/helper/throttle.js");
require("../../sheep/url/index.js");
require("../../sheep/platform/pay.js");
require("../../sheep/api/pay/order.js");
require("../../sheep/store/user.js");
require("../../sheep/store/cart.js");
require("../../sheep/api/trade/cart.js");
require("../../sheep/api/pay/wallet.js");
require("../../sheep/api/trade/order.js");
require("../../sheep/api/promotion/coupon.js");
require("../../sheep/store/sys.js");
require("../../sheep/store/modal.js");
require("../../sheep/api/distri/share.js");
require("../../sheep/api/distri/team.js");
require("../../sheep/api/infra/file.js");
require("../../sheep/api/member/address.js");
require("../../sheep/api/member/point.js");
require("../../sheep/api/migration/app.js");
require("../../sheep/api/migration/chat.js");
require("../../sheep/api/migration/index.js");
require("../../sheep/api/migration/third.js");
require("../../sheep/api/pay/channel.js");
require("../../sheep/api/product/category.js");
require("../../sheep/api/product/comment.js");
require("../../sheep/api/product/favorite.js");
require("../../sheep/api/product/history.js");
require("../../sheep/api/product/spu.js");
require("../../sheep/api/promotion/activity.js");
require("../../sheep/api/promotion/article.js");
require("../../sheep/api/promotion/bargain.js");
require("../../sheep/api/promotion/combination.js");
require("../../sheep/api/promotion/rewardActivity.js");
require("../../sheep/api/promotion/seckill.js");
require("../../sheep/api/system/area.js");
require("../../sheep/api/system/voice.js");
require("../../sheep/api/trade/afterSale.js");
require("../../sheep/api/trade/brokerage.js");
require("../../sheep/api/trade/config.js");
require("../../sheep/api/trade/delivery.js");
require("../../sheep/config/zIndex.js");
if (!Array) {
  const _easycom_uni_search_bar2 = common_vendor.resolveComponent("uni-search-bar");
  const _easycom_s_layout2 = common_vendor.resolveComponent("s-layout");
  (_easycom_uni_search_bar2 + _easycom_s_layout2)();
}
const _easycom_uni_search_bar = () => "../../uni_modules/uni-search-bar/components/uni-search-bar/uni-search-bar.js";
const _easycom_s_layout = () => "../../sheep/components/s-layout/s-layout.js";
if (!Math) {
  (_easycom_uni_search_bar + _easycom_s_layout)();
}
const _sfc_main = {
  __name: "search",
  setup(__props) {
    const state = common_vendor.reactive({
      historyList: []
    });
    function onSearch(keyword) {
      if (!keyword) {
        return;
      }
      saveSearchHistory(keyword);
      sheep_index.sheep.$router.go("/pages/goods/list", { keyword });
    }
    function saveSearchHistory(keyword) {
      if (state.historyList.includes(keyword)) {
        state.historyList.splice(state.historyList.indexOf(keyword), 1);
      }
      state.historyList.unshift(keyword);
      if (state.historyList.length >= 10) {
        state.historyList.length = 10;
      }
      common_vendor.index.setStorageSync("searchHistory", state.historyList);
    }
    function onDelete() {
      common_vendor.index.showModal({
        title: "提示",
        content: "确认清除搜索历史吗？",
        success: function(res) {
          if (res.confirm) {
            state.historyTag = [];
            common_vendor.index.removeStorageSync("searchHistory");
          }
        }
      });
    }
    common_vendor.onLoad(() => {
      state.historyList = common_vendor.index.getStorageSync("searchHistory") || [];
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => onSearch($event.value)),
        b: common_vendor.p({
          radius: "33",
          placeholder: "请输入关键字",
          cancelButton: "none",
          focus: true
        }),
        c: common_vendor.o(onDelete),
        d: common_vendor.f(state.historyList, (item, index, i0) => {
          return {
            a: common_vendor.t(item),
            b: common_vendor.o(($event) => onSearch(item), index),
            c: index
          };
        }),
        e: common_vendor.p({
          title: "搜索",
          bgStyle: {
            color: "#FFF"
          }
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5aac7367"], ["__file", "D:/zx/mall-front-app/pages/index/search.vue"]]);
wx.createPage(MiniProgramPage);
